## mod-authz-securepass 0~20140715+0git93f271f5

=== Makefile ===

## Build the securepass module
##





install_debian: mod_authz_securepass.c jsmn.c
	apxs2 -c -l curl mod_authz_securepass.c jsmn.c
	#apxs2 -i -a mod_authz_securepass.la
	install -m 644 .libs/mod_authz_securepass.so /usr/lib/apache2/modules/
	install -m 644 securepass.load /etc/apache2/mods-available


install_redhat: mod_authz_securepass.c
	apxs -c -l curl mod_authz_securepass.c jsmn.c
	apxs -i -a mod_authz_securepass.la
	#echo "LoadModule authz_securepass_module /etc/httpd/modules/mod_authz_securepass.so" > /etc/httpd/conf.d/mod_authz_securepass.conf

	
clean:
	rm -rf .libs
	rm -rf mod_authz_securepass.lo  mod_authz_securepass.la  mod_authz_securepass.slo mod_authz_securepass.o
	rm -rf jsmn.lo  jsmn.la  jsmn.slo jsmn.o

=== debian/changelog ===
mod-authz-securepass (0~20140715+0git93f271f5-2) unstable; urgency=medium

  * Set Maintainer to Debian SecurePass.
  * Update Vcs links.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 23 Oct 2014 01:22:54 +0100

mod-authz-securepass (0~20140715+0git93f271f5-1) unstable; urgency=medium

  * Initial release. (Closes: #754882)

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Jul 2014 15:41:55 +0100

=== debian/control ===
Source: mod-authz-securepass
Section: httpd
Priority: optional
Maintainer: Debian SecurePass <pkg-securepass-devel@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends:
 apache2-dev,
 debhelper (>= 9~),
 dh-apache2,
 libcurl4-gnutls-dev
Standards-Version: 3.9.6
Homepage: https://github.com/gplll/mod_authz_securepass
Vcs-Git: git://anonscm.debian.org/pkg-securepass/mod-authz-securepass.git
Vcs-Browser: https://alioth.debian.org/anonscm/git/pkg-securepass/mod-authz-securepass.git

Package: libapache2-mod-authz-securepass
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Apache2 module for authorizing SecurePass users
 SecurePass provides web single sign-on through the CAS protocol.
 .
 This module enhances the Apache authorization features by introducing two
 rules to restrict access to the Apache resources:
  * the first rule allows only users belonging to specific SecurePass
    realm(s) to access the Apache resource
  * the second rule allows only users belonging to specific SecurePass
    group(s) to access the Apache resource

## mod-authz-securepass 0~20150105.gitda462d3

=== Makefile ===

## Build the securepass module
##


ifneq ($(shell which apxs2 2>/dev/null),)
APXS_PATH = apxs2
else
APXS_PATH = apxs
endif

# Note that gcc flags are passed through apxs, so preface with -Wc
MY_LDFLAGS=-lcurl
MY_CFLAGS=-Wc,-I. -Wc,-Wall
SRCS=mod_authz_securepass.c jsmn.c
HDRS=jsmn.h
BUILDDIR := build

.SUFFIXES: .c .o .la

all:  build/.libs/mod_authz_securepass.so

.PHONY: builddir
builddir: build

$(BUILDDIR):
	@mkdir -p $@

$(BUILDDIR)/.libs/mod_authz_securepass.so: $(SRCS) $(HDRS) | $(BUILDDIR)
	@cd $(BUILDDIR) && for file in $(SRCS) $(HDRS) ; do ln -sf ../$$file . ; done
	@cd $(BUILDDIR) && $(APXS_PATH) $(MY_LDFLAGS) $(MY_CFLAGS) -c $(subst src/,,$(SRCS))

install: all
	$(APXS_PATH) -i $(BUILDDIR)/mod_authz_securepass.la

clean:
	-rm -rf $(BUILDDIR)

=== debian/changelog ===
mod-authz-securepass (0~20150105.gitda462d3-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop patches, they have all been applied upstream
  * Add get-git-source.sh.
  * Refresh debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Fri, 05 Jun 2015 17:18:21 +0100

mod-authz-securepass (0~20140715+0git93f271f5-3) unstable; urgency=medium

  * Fix incompatibility with Apache 2.4 due to the use of
    ap_requires. (Closes: #773777)
  * Fix Vcs browser field.

 -- Alessio Treglia <alessio@debian.org>  Wed, 07 Jan 2015 10:01:22 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Standards-Version: 3.9.6
 Homepage: https://github.com/gplll/mod_authz_securepass
 Vcs-Git: git://anonscm.debian.org/pkg-securepass/mod-authz-securepass.git
-Vcs-Browser: https://alioth.debian.org/anonscm/git/pkg-securepass/mod-authz-securepass.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-securepass/mod-authz-securepass.git
 
 Package: libapache2-mod-authz-securepass
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export APXS_PATH = apxs

%:
	dh $@ --parallel --with apache2

# Skip installation as dh_apache2 will pick the module up
# and do the rest on its own
override_dh_auto_install:

=== debian/watch ===
# Sources were downloaded from upstream's git repository
